<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TemperatureResult_V3 StructType
 * @subpackage Structs
 */
class TemperatureResult_V3 extends AbstractStructBase
{
    /**
     * The Vehicle
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierVehicleResult
     */
    public $Vehicle;
    /**
     * The Measurements
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfTemperatureMeasurement_V3
     */
    public $Measurements;
    /**
     * The Trailer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierVehicleResult
     */
    public $Trailer;
    /**
     * Constructor method for TemperatureResult_V3
     * @uses TemperatureResult_V3::setVehicle()
     * @uses TemperatureResult_V3::setMeasurements()
     * @uses TemperatureResult_V3::setTrailer()
     * @param \StructType\IdentifierVehicleResult $vehicle
     * @param \ArrayType\ArrayOfTemperatureMeasurement_V3 $measurements
     * @param \StructType\IdentifierVehicleResult $trailer
     */
    public function __construct(\StructType\IdentifierVehicleResult $vehicle = null, \ArrayType\ArrayOfTemperatureMeasurement_V3 $measurements = null, \StructType\IdentifierVehicleResult $trailer = null)
    {
        $this
            ->setVehicle($vehicle)
            ->setMeasurements($measurements)
            ->setTrailer($trailer);
    }
    /**
     * Get Vehicle value
     * @return \StructType\IdentifierVehicleResult|null
     */
    public function getVehicle()
    {
        return $this->Vehicle;
    }
    /**
     * Set Vehicle value
     * @param \StructType\IdentifierVehicleResult $vehicle
     * @return \StructType\TemperatureResult_V3
     */
    public function setVehicle(\StructType\IdentifierVehicleResult $vehicle = null)
    {
        $this->Vehicle = $vehicle;
        return $this;
    }
    /**
     * Get Measurements value
     * @return \ArrayType\ArrayOfTemperatureMeasurement_V3|null
     */
    public function getMeasurements()
    {
        return $this->Measurements;
    }
    /**
     * Set Measurements value
     * @param \ArrayType\ArrayOfTemperatureMeasurement_V3 $measurements
     * @return \StructType\TemperatureResult_V3
     */
    public function setMeasurements(\ArrayType\ArrayOfTemperatureMeasurement_V3 $measurements = null)
    {
        $this->Measurements = $measurements;
        return $this;
    }
    /**
     * Get Trailer value
     * @return \StructType\IdentifierVehicleResult|null
     */
    public function getTrailer()
    {
        return $this->Trailer;
    }
    /**
     * Set Trailer value
     * @param \StructType\IdentifierVehicleResult $trailer
     * @return \StructType\TemperatureResult_V3
     */
    public function setTrailer(\StructType\IdentifierVehicleResult $trailer = null)
    {
        $this->Trailer = $trailer;
        return $this;
    }
}
